Subject: bug#62720: closed (Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Apr 2023 15:13:02 +0000

Your bug report

#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62720: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62720
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot
From: Eli Zaretskii <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 16 Apr 2023 18:12:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 16 Apr 2023 13:45:24 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Philip Kaludercic <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked]
> >> Date: Sat, 15 Apr 2023 18:19:31 +0000
> >> 
> >> Sounds good to me.
> >
> > The patch LGTM, thanks.  Please install it.
> 
> Done.

Thanks, I'm therefore closing this bug.

Subject: 29.0.60; Not easy at all to upgrade :core packages like Eglot
From: João Távora <[email-masked]>
To: [email-masked]
Date: Fri, 07 Apr 2023 23:12:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I've been meaning to report this for some time.  I really think this
should be fixed in Emacs 29 before it ships.

src/emacs -Q # Emacs 29

M-x package-install RET eglot RET

Echoes "No match", even though eglot 1.14 is available from GNU ELPA.
That's because Eglot is a :core ELPA package and it's already in Emacs
29, so package.el thinks there is nothing to install.

Evaluating (package-install 'eglot) also doesn't work.  Errors with
"'eglot' is already installed"

In Emacs 28, both these alternatives work as expected (because Eglot
isn't a :core package there).

It's not impossible to upgrade in Emacs 29, of course.  The only way I
know is to M-x package-list-packages, find Eglot 1.14 in the list, mark
it with 'i' and confirm installation with 'x'.  But it is very awkward.

João